Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:   	The Advanced Linux Sound Architecture (ALSA) plugins.
Name:      	alsa-plugins
Version:   	1.0.16
Release:   	1
Epoch:		1
License: 	GNU/GPL
URL:		http://www.alsa-project.org
Group:     	System/Configuration/Hardware
Source0: 	alsa-plugins-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	alsa-lib-devel >= %{version}
BuildRequires:  ffmpeg-devel >= 0.4.9pre1_p20060913
BuildRequires:  glibc-devel
BuildRequires:  jack-audio-connection-kit-devel
BuildRequires:  libsamplerate-devel

%description

This is the plugins package, which allows you to manipulate ALSA settings.

%package devel
Summary: 	%{name} development headers.
Group:     	System/Configuration/Hardware
Requires: 	alsa-plugins = %{epoch}:%{version}-%{release} pkg-config

%description devel
The Advanced Linux Sound Architecture (ALSA) provides audio and MIDI
functionality to the Linux operating system.

This package includes the ALSA development libraries for developing
against the ALSA libraries and interfaces.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
%configure \
    CFLAGS="$RPM_OPT_FLAGS"\
    --enable-static=yes \
    --datadir=%_sysconfdir \
    --disable-debug
make
make doc

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install


%files
%defattr(-, root, root)
%{_libdir}/alsa-lib/*.so*

%files devel
%defattr(-, root, root)
%{_libdir}/alsa-lib/*.a
%{_libdir}/alsa-lib/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Feb 09 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.0.16-1
- version update
* Tue Oct 16 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.15-1
- version update
* Tue Jun 05 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.14-1
- version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.13-1
- Version update
* Mon Sep 18 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.12-3
- added epoch for devel package require
* Mon Sep 18 2006 Christian Metzen <metzench@ccux-linux.de> 1.0.12-2
- rebuild against latest ffmpeg
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 1.0.12-1
- Initial Release
